package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.dto.sales.SalesRewardDto;
import com.crm.rely.backend.core.entity.base.BaseIbReportListEntity;
import com.crm.rely.backend.core.pojo.view.TradeSalesRewardView;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface SalesRewardWorthStatisticsMapper {

    List<SalesRewardDto> getSalesDepositSum(@Param("startDate") Date startDate);

    List<SalesRewardDto> getSalesWithdrawSum(@Param("startDate") Date startDate);

    List<SalesRewardDto> getSalesAgentWithdrawSum(@Param("startDate") Date startDate);

    List<SalesRewardDto> getSalesAddCustomSum(@Param("startDate") Date startDate);

    List<SalesRewardDto> getSalesRealCustomSum(@Param("startDate") Date startDate);

    Integer countSearch(BaseIbReportListEntity entity);

    List<TradeSalesRewardView> pageSearch(BaseIbReportListEntity entity);

    TradeSalesRewardView sumSearch(BaseIbReportListEntity entity);
}
